Bug 213743 - New list tag possibilities don't match list checkbox javascript
New list tag possibilities don't match list checkbox javascript
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Brandon Perkins
:
Depends On:
Blocks: 145467
  Show dependency treegraph
 
Reported: 2006-11-02 15:15 EST by Ken Ganong
Modified: 2017-07-05 11:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 11:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-11-02 15:15:02 EST
The javascript for the check all checkbox at the top left of our tables is
located in the /javascript/check_all.js file.

There are two functions of this javascript that concerns this bug:
check_all_on_page and checkbox_clicked

The first is poorly named; it doesn't actually check all the checkboxes on the
page, it checks all of the checkboxes on the same form as the check_all checkbox.
This isn't correct though. When we have multiple lists on the same page, they
must appear in the same form, but the checkbox here should only check the ones
in the same list.

The second isn't currently rendered using the new list at all. Its purpose is to
update the check_all checkbox when another checkbox in the list is checked. So,
if you hit the check_all box and then unselect one of the others, the check_all
box becomes unselected.
This also has the same problem as the first in that it considers all the check
boxes based on being on the same form instead of being in the same list (group?)

Also, why doesn't selected a checkbox update the number checked (in the right
corners of the list)?
Comment 1 Red Hat Bugzilla 2007-04-11 21:37:43 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Thomas "Shea" DeAntonio 2017-07-05 11:20:23 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.